local skins = {}
for k,v in pairs(YINKONGSKINS.YINKONG) do
	local assets = {}
	for skin,anim in pairs(v.builds) do
		table.insert(assets, anim)
	end
	if SKIN_RARITY_COLORS.ModMade ~= nil then table.insert(skins, AddModCharacterSkin("yinkong", k, v.builds, assets, {"YINKONG", "CHARACTER"}, v.options)) end
end

return CreatePrefabSkin("yinkong_none", {
	base_prefab = "yinkong",
	skins = {
		normal_skin = "yinkong",
		ghost_skin = "ghost_yinkong_build",
		--dyinkong_skin = "dyinkong"
	},
	assets = {
		Asset( "ANIM", "anim/yinkong.zip" ),
		Asset( "ANIM", "anim/ghost_yinkong_build.zip" ),
		--Asset( "ANIM", "anim/dyinkong.zip" )
	},
	tags = {"YINKONG", "CHARACTER"},
	skip_item_gen = true,
	skip_giftable_gen = true,
}), unpack(skins)